no warnings:
2 warnings:
	Suspicious pointer assignment
	Return type mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return type mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
no warnings:
2 warnings:
	Suspicious pointer assignment
	Return type mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return type mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Return method mismatch in function pointer
